post
https://api.sandbox.cleeng.com/3.1/gifts//redeem
Redeems a gift code for a customer. Depending on the customer's subscriptions and the publisher's gift redemption settings, redeeming a gift can:
- start a new subscription to the gifted offer (if the publisher did not disable it)
- extend the customer's subscription to an offer with the same tags as the gifted offer
- extend the customer's subscription to a different offer, converting the gift's value into time at that subscription's price (if the publisher has enabled it)
- switch the customer's subscription to the gifted offer (if the publisher has enabled it)
Call Verify a gift first to see which options are available, then send the chosen option in mode and subscriptionId if mode is different than NEW. A gift can be redeemed only once.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests⦠| |||
Loadingā¦
Response description
| Parameter | Type | Description |
|---|---|---|
message | string | Status confirmation, "OK" on success |
outcome | object | The redemption option that was actually applied |
outcome.mode | string | NEW, EXTEND, or SWITCH |
outcome.subscriptionId | integer | Subscription the gift was applied to or ID of a new subscription |
outcome.offerId | string | Offer now active on the subscription |
outcome.previousOfferId | string | Offer that was active before redemption, if any |
outcome.giftedOfferId | string | Offer the gift grants |
outcome.sideEffects[] | array of string | Additional effects of this redemption, e.g. RESUMES_SUBSCRIPTION, CANCELS_SCHEDULED_SWITCH |
outcome.preview.endDate | integer (Unix timestamp) | Resulting subscription end date |
outcome.preview.timeAdded.days | integer | Days added to the subscription |
outcome.preview.carriedOver.days | integer | Days carried over from the current cycle, if applicable |
outcome.preview.renewal | object | Resulting renewal offer/billing cycle, if applicable |

